cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,228
463
Hello,

I've moved this post to it's own thread.

The supporting code for mod_fcgid is available in cPanel version 62 (Currently under development in the "Edge" build tier). It's not possible to use it in earlier versions of cPanel. This is explained in more detail under the top comment at:

EasyApache 4 mod_fcgid

Thanks!
 

sparek-3

Well-Known Member
Aug 10, 2002
2,022
227
368
cPanel Access Level
Root Administrator
This might be a bit off-topic...

Is cPanel moving towards recommending FCGId for PHP? Or are you moving towards recommending PHP-FPM? Or are you going to make any recommendations?

I know suPHP is on the way out (the project itself has been dead for years), so a new "standard" PHP handler is being required. Will that be php-fpm or FCGId or something else?

When provisioning a new server, how do you see PHP running out of the box? (I realize FCGId is experimental now, but do you see it becoming the standard out-of-the-box handler eventually? Or what do you see as being the default out-of-the-box handler?)
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,228
463
Is cPanel moving towards recommending FCGId for PHP? Or are you moving towards recommending PHP-FPM? Or are you going to make any recommendations?
Hello,

There are no plans right now to change the default PHP handler configured on new installations. Is there a particular handler you would prefer?

Thank you.